> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Item

> Create a material or style item (unified). Writes `item` directly.



## OpenAPI

````yaml /api/openapi-cutmake.json post /items
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /items:
    post:
      tags:
        - Items
      summary: Create Item
      description: Create a material or style item (unified). Writes `item` directly.
      operationId: create_item_items_post
      parameters:
        - name: X-Org-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Org-Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ItemCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ItemResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    ItemCreate:
      properties:
        itemType:
          type: string
          title: Itemtype
        refId:
          anyOf:
            - type: string
            - type: 'null'
          title: Refid
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        picture:
          anyOf:
            - type: string
            - type: 'null'
          title: Picture
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        materialType:
          anyOf:
            - type: string
            - type: 'null'
          title: Materialtype
        supplierId:
          anyOf:
            - type: string
            - type: 'null'
          title: Supplierid
        unit:
          anyOf:
            - type: string
            - type: 'null'
          title: Unit
        costPerUnit:
          anyOf:
            - type: number
            - type: 'null'
          title: Costperunit
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        verificationStatus:
          anyOf:
            - type: string
            - type: 'null'
          title: Verificationstatus
        weight:
          anyOf:
            - type: number
            - type: 'null'
          title: Weight
        weightUom:
          anyOf:
            - type: string
            - type: 'null'
          title: Weightuom
        color:
          anyOf:
            - type: string
            - type: 'null'
          title: Color
        width:
          anyOf:
            - type: number
            - type: 'null'
          title: Width
        widthUom:
          anyOf:
            - type: string
            - type: 'null'
          title: Widthuom
        composition:
          anyOf:
            - {}
            - type: 'null'
          title: Composition
        shrinkage:
          anyOf:
            - type: number
            - type: 'null'
          title: Shrinkage
        keyword:
          anyOf:
            - type: string
            - type: 'null'
          title: Keyword
        dependencyType:
          anyOf:
            - type: string
            - type: 'null'
          title: Dependencytype
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        clientId:
          anyOf:
            - type: string
            - type: 'null'
          title: Clientid
        merchandiser:
          anyOf:
            - type: string
            - type: 'null'
          title: Merchandiser
        estQuantity:
          anyOf:
            - type: integer
            - type: 'null'
          title: Estquantity
        estCost:
          anyOf:
            - type: number
            - type: 'null'
          title: Estcost
        designType:
          anyOf:
            - type: string
            - type: 'null'
          title: Designtype
        dealStatus:
          anyOf:
            - type: string
            - type: 'null'
          title: Dealstatus
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        estCompletionTime:
          anyOf:
            - type: string
            - type: 'null'
          title: Estcompletiontime
        priceCategory:
          anyOf:
            - type: string
            - type: 'null'
          title: Pricecategory
      type: object
      required:
        - itemType
      title: ItemCreate
    ItemResponse:
      properties:
        id:
          type: string
          title: Id
        itemType:
          type: string
          title: Itemtype
        documentId:
          type: string
          title: Documentid
        refId:
          anyOf:
            - type: string
            - type: 'null'
          title: Refid
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        picture:
          anyOf:
            - type: string
            - type: 'null'
          title: Picture
        createdAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createdat
        updatedAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updatedat
        materialType:
          anyOf:
            - type: string
            - type: 'null'
          title: Materialtype
        supplierId:
          anyOf:
            - type: string
            - type: 'null'
          title: Supplierid
        unitOfMeasurement:
          anyOf:
            - type: string
            - type: 'null'
          title: Unitofmeasurement
        costPerUnit:
          anyOf:
            - type: number
            - type: 'null'
          title: Costperunit
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        verificationStatus:
          anyOf:
            - type: string
            - type: 'null'
          title: Verificationstatus
        unit:
          anyOf:
            - type: string
            - type: 'null'
          title: Unit
        weight:
          anyOf:
            - type: number
            - type: 'null'
          title: Weight
        weightUom:
          anyOf:
            - type: string
            - type: 'null'
          title: Weightuom
        color:
          anyOf:
            - type: string
            - type: 'null'
          title: Color
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        width:
          anyOf:
            - type: number
            - type: 'null'
          title: Width
        widthUom:
          anyOf:
            - type: string
            - type: 'null'
          title: Widthuom
        composition:
          anyOf:
            - {}
            - type: 'null'
          title: Composition
        shrinkage:
          anyOf:
            - type: number
            - type: 'null'
          title: Shrinkage
        keyword:
          anyOf:
            - type: string
            - type: 'null'
          title: Keyword
        dependencyType:
          anyOf:
            - type: string
            - type: 'null'
          title: Dependencytype
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        clientId:
          anyOf:
            - type: string
            - type: 'null'
          title: Clientid
        merchandiser:
          anyOf:
            - type: string
            - type: 'null'
          title: Merchandiser
        estQuantity:
          anyOf:
            - type: integer
            - type: 'null'
          title: Estquantity
        estCost:
          anyOf:
            - type: number
            - type: 'null'
          title: Estcost
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        estCompletionTime:
          anyOf:
            - type: string
            - type: 'null'
          title: Estcompletiontime
        priceCategory:
          anyOf:
            - type: string
            - type: 'null'
          title: Pricecategory
        dealStatus:
          anyOf:
            - type: string
            - type: 'null'
          title: Dealstatus
        designType:
          anyOf:
            - type: string
            - type: 'null'
          title: Designtype
      type: object
      required:
        - id
        - itemType
        - documentId
      title: ItemResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````